## linuxmuster-prepare 0.7.6-1ubuntu0

=== debian/changelog ===
linuxmuster-prepare (0.7.6-1ubuntu0) lmn7; urgency=low

  * invoke "/usr/bin/python3 -m pip" rather than "/usr/bin/pip3" in postinst (#10).

 -- Thomas Schmitt <thomas@linuxmuster.net>  Thu, 01 Apr 2021 17:46:43 +0200

linuxmuster-prepare (0.7.6-0ubuntu0) lmn7; urgency=low

  * fix #10: python3-reconfigure not available in 20.04.
  * fix #13: linuxmuster-prepare with from scratch installation - quotas on root / activated but do not work

 -- Thomas Schmitt <thomas@linuxmuster.net>  Tue, 30 Mar 2021 15:41:20 +0200

linuxmuster-prepare (0.7.5-0ubuntu0) lmn7; urgency=low

  * merged #9: fix missing ubuntu profile.
  * merged #11: Added missing space.
  * merged #15: check if root user is used.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Tue, 30 Mar 2021 13:19:08 +0200

linuxmuster-prepare (0.7.4-0ubuntu0) lmn7; urgency=low

  * further lmn7-appliance fix.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Wed, 27 Mar 2019 20:47:56 +0100

linuxmuster-prepare (0.7.3-0ubuntu0) lmn7; urgency=low

  * lmn7-appliance fix.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Mon, 25 Mar 2019 21:14:33 +0100

linuxmuster-prepare (0.7.2-0ubuntu0) lmn7; urgency=low

  * Fix #5: prepare script fails with new package server.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Mon, 25 Mar 2019 21:14:33 +0100

linuxmuster-prepare (0.7.1-0ubuntu0) lmn7; urgency=low

  * updated repo key archive.linuxmuster.net.gpg.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Mon, 25 Mar 2019 21:14:33 +0100

linuxmuster-prepare (0.7.0-0ubuntu0) lmn7; urgency=low

  * changed to lmn7 repo with gpg key.
  * switched to new official repo archive.linuxmuster.net.
  * fix #4: test internet connection now by archive.linuxmuster.net.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Mon, 25 Mar 2019 13:38:26 +0100

linuxmuster-prepare (0.6.5-0ubuntu0) lmn7-testing; urgency=low

  * added activation of serial console in initial prepare.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Mon, 18 Mar 2019 12:52:51 +0100

linuxmuster-prepare (0.6.4-0ubuntu0) lmn7-testing; urgency=low

  * updated linuxmuster-opsi invokation due to opsi appliance upgrade.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Fri, 08 Mar 2019 21:30:59 +0100

linuxmuster-prepare (0.6.3-0ubuntu0) lmn7-testing; urgency=low

  * lmn7-appliance: remove snapd package on initial prepare.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Mon, 08 Oct 2018 14:45:26 +0200

linuxmuster-prepare (0.6.2-0ubuntu0) lmn7-testing; urgency=low

  * fix, hostname does not persist after reboot (#1).

 -- Thomas Schmitt <thomas@linuxmuster.net>  Sun, 15 Jul 2018 10:40:35 +0200

linuxmuster-prepare (0.6.1-0ubuntu0) lmn7-testing; urgency=low

  * added options --no-keys and --no-pw to be able to skip ssh key creation and
    root password change.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Wed, 13 Jun 2018 10:38:42 +0200

linuxmuster-prepare (0.6.0-0ubuntu0) lmn7-testing; urgency=low

  * added gateway ip (needed for subnetting).

 -- Thomas Schmitt <thomas@linuxmuster.net>  Tue, 12 Jun 2018 14:03:46 +0200

linuxmuster-prepare (0.5.6-0ubuntu0) lmn7-testing; urgency=low

  * invalid profile fix #18.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Sat, 05 May 2018 10:45:20 +0200

linuxmuster-prepare (0.5.5-0ubuntu0) lmn7-testing; urgency=low

  * added linuxmuster-distupgrade shell script.
  * renamed linuxmuster-prepare.py to linuxmuster-prepare.
  * renamed lmn7-appliance.py to lmn7-appliance.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Fri, 04 May 2018 09:54:43 +0200

linuxmuster-prepare (0.5.4-0ubuntu0) lmn7-testing; urgency=low

  * added opsiadmin password set.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Wed, 02 May 2018 08:55:23 +0200

linuxmuster-prepare (0.5.3-0ubuntu0) lmn7-testing; urgency=low

  * fixed help.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Fri, 27 Apr 2018 14:57:08 +0200

linuxmuster-prepare (0.5.2-0ubuntu0) lmn7-testing; urgency=low

  * changed hostname setting to hostnamectl.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Fri, 20 Apr 2018 11:34:53 +0200

linuxmuster-prepare (0.5.1-0ubuntu0) lmn7-testing; urgency=low

  * merging prepare.ini with setup.ini.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Wed, 18 Apr 2018 15:02:50 +0200

linuxmuster-prepare (0.5.0-0ubuntu0) lmn7-testing; urgency=low

  * moved prepare.ini to /var/lib/linuxmuster.
  * removed the reuse of saved prepare.ini values.
  * implemented --default and --do-it-like-babo options.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Wed, 18 Apr 2018 10:02:47 +0200

linuxmuster-prepare (0.4.4-0ubuntu0) lmn7-testing; urgency=low

  * fixed netplan configuration.
  * added force option.
  * fixed options parser.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Wed, 04 Apr 2018 20:05:13 +0200

linuxmuster-prepare (0.4.3-0ubuntu0) lmn7-testing; urgency=low

  * initial mode hostname fix.
  * added bionic support.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Sat, 24 Mar 2018 13:54:40 +0100

linuxmuster-prepare (0.4.2-0ubuntu0) lmn7-testing; urgency=low

  * added linuxmuster-nginx-proxy to docker packages.
  * added -c|--createcert option to create self signed server certificate for
    standalone docker appliances.
  * create /etc/hostname before ssh keys.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Mon, 12 Mar 2018 20:26:19 +0100

linuxmuster-prepare (0.4.1-0ubuntu0) lmn7-testing; urgency=low

  * added quota support for server profile.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Sun, 25 Feb 2018 14:11:47 +0100

linuxmuster-prepare (0.4.0-0ubuntu0) lmn7-testing; urgency=low

  * added opsi support.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Tue, 13 Feb 2018 16:54:15 +0100

linuxmuster-prepare (0.3.0-0ubuntu0) lmn7-testing; urgency=low

  * hostname consolidation, fixed hostnames docker, opsi, ubuntu, only a server
    hostname can be applied via -t option.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Fri, 09 Feb 2018 15:33:59 +0100

linuxmuster-prepare (0.2.1-0ubuntu0) lmn7-testing; urgency=low


